## net.sf.antcontrib.net.httpclient
Class PostMethodTask.TextPartType

    java.lang.Object
      net.sf.antcontrib.net.httpclient.PostMethodTask.TextPartType

Enclosing class:
  PostMethodTask

    public static class PostMethodTask.TextPartType

extends java.lang.Object

Constructor Summary
`PostMethodTask.TextPartType()`

Method Summary
`java.lang.String` `getCharSet()`
`java.lang.String` `getContentType()`
`java.lang.String` `getName()`
`java.lang.String` `getValue()`
`void` `setCharSet(java.lang.String charSet)`
`void` `setContentType(java.lang.String contentType)`
`void` `setName(java.lang.String name)`
`void` `setText(java.lang.String text)`
`void` `setValue(java.lang.String value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PostMethodTask.TextPartType

    public PostMethodTask.TextPartType()

Method Detail

### getValue

    public java.lang.String getValue()

### setValue

    public void setValue(java.lang.String value)

### getName

    public java.lang.String getName()

### setName

    public void setName(java.lang.String name)

### getCharSet

    public java.lang.String getCharSet()

### setCharSet

    public void setCharSet(java.lang.String charSet)

### getContentType

    public java.lang.String getContentType()

### setContentType

    public void setContentType(java.lang.String contentType)

### setText

    public void setText(java.lang.String text)